Bug 149347 - New port: sysutils/sievelog Syslog message filter
Summary: New port: sysutils/sievelog Syslog message filter
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-05 23:30 UTC by Jesse Kempf
Modified: 2010-08-18 00:10 UTC (History)
0 users

See Also:


Attachments
file.shar (2.50 KB, text/plain)
2010-08-05 23:30 UTC, Jesse Kempf
no flags Details
sievelog.shar (2.61 KB, application/x-shar)
2010-08-17 04:12 UTC, Sahil Tandon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Kempf 2010-08-05 23:30:09 UTC
Sievelog is a message dispatcher inspired by swatch but more focused on the
following problems:

    * Having a clean syntax
    * Directing a raw syslog stream to different files based on content
    * Mailing out alerts based on content
    * Being fast 

Sievelog's syntax is as simple as "<regex>" -> /some/file. 

WWW:    http://code.google.com/p/sievelog/

Fix: Patch attached with submission follows:
Comment 1 Sahil Tandon freebsd_committer 2010-08-11 02:46:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 2 Sahil Tandon freebsd_committer 2010-08-17 04:12:15 UTC
Hi Jesse,

I made a few changes to your submission and have attached a new shar.
Please review, let me know where (if at all) you disagree with my
adjustments, and then hopefully I can soon commit this new port.  Thanks
for your work on FreeBSD.

-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 3 Jesse Kempf 2010-08-17 14:56:08 UTC
Sahil Tandon wrote:
> Hi Jesse,
> 
> I made a few changes to your submission and have attached a new shar.
> Please review, let me know where (if at all) you disagree with my
> adjustments, and then hopefully I can soon commit this new port.  Thanks
> for your work on FreeBSD.
> 

Everything looks good to me, but I have one question: do ports of 
applications written in Python usually use PYTHON_PKGNAMEPREFIX?

If so, then I'd say it's ready to be committed.

Cheers,
-Jesse



------------------------------------------------------------------------
The information contained in this communication is intended
only for the use of the recipient(s) named above. It may
contain information that is privileged or confidential, and
may be protected by State and/or Federal Regulations. If
the reader of this message is not the intended recipient,
you are hereby notified that any dissemination,
distribution, or copying of this communication, or any of
its contents, is strictly prohibited. If you have received
this communication in error, please return it to the sender
immediately and delete the original message and any copy
of it from your computer system. If you have any questions
concerning this message, please contact the sender.
------------------------------------------------------------------------
Comment 4 dfilter service freebsd_committer 2010-08-18 00:00:34 UTC
sahil       2010-08-17 23:00:22 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/sievelog    Makefile distinfo pkg-descr 
    sysutils/sievelog/files pkg-message.in 
  Log:
  Sievelog is a message dispatcher inspired by swatch but more
  focused on the following problems:
  
   * Having a clean syntax
   * Directing a raw syslog stream to different files based on content
   * Mailing out alerts based on content
   * Being fast
  
  Sievelog's syntax is as simple as "<regex>" -> /some/file.
  
  WWW: http://sievelog.googlecode.com/
  
  PR:             ports/149347
  Submitted by:   Jesse Kempf <jkempf@davisvision.com>
  
  Revision  Changes    Path
  1.1215    +1 -0      ports/sysutils/Makefile
  1.1       +33 -0     ports/sysutils/sievelog/Makefile (new)
  1.1       +3 -0      ports/sysutils/sievelog/distinfo (new)
  1.1       +4 -0      ports/sysutils/sievelog/files/pkg-message.in (new)
  1.1       +11 -0     ports/sysutils/sievelog/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Sahil Tandon freebsd_committer 2010-08-18 00:02:34 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!